<?xml version="1.0"?>
<!-- Transform (aligned) TEI encoded Opus corpus to CQP vertical format -->
<xsl:stylesheet version="2.0"
		xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
		xmlns:fn="http://www.w3.org/2005/xpath-functions"
		xmlns:tei="http://www.tei-c.org/ns/1.0"
		xmlns:et="http://nl.ijs.si/et/"
		xmlns="http://www.tei-c.org/ns/1.0"
		exclude-result-prefixes="tei fn et">
  <xsl:output method="xml" encoding="utf-8" indent="no" omit-xml-declaration="yes"/>

  <xsl:template match="@*"/>
  <xsl:template match="text()"/>

  <xsl:template match="tei:TEI">
    <xsl:apply-templates select="//tei:text/tei:body/tei:div"/>
  </xsl:template>

  <xsl:template match="tei:div">
    <xsl:element name="{@type}">
      <xsl:attribute name="id" select="@xml:id"/>
      <xsl:text>&#10;</xsl:text>
      <xsl:apply-templates/>
    </xsl:element>
    <xsl:text>&#10;</xsl:text>
  </xsl:template>

  <xsl:template match="tei:ab">
    <p>
      <xsl:attribute name="id" select="replace(@xml:id, '-.{2,3}$', '')"/>
      <xsl:text>&#10;</xsl:text>
      <xsl:apply-templates/>
    </p>
    <xsl:text>&#10;</xsl:text>
  </xsl:template>

  <xsl:template match="tei:s">
    <xsl:copy>
      <xsl:text>&#10;</xsl:text>
      <xsl:apply-templates/>
    </xsl:copy>
    <xsl:text>&#10;</xsl:text>
  </xsl:template>
  <xsl:template match="tei:c"/>
  
  <xsl:template match="tei:pc | tei:w">
    <xsl:value-of select="concat(.,'&#9;',et:output-annotations(.))"/>
    <xsl:text>&#10;</xsl:text>
    <xsl:if test="following-sibling::tei:* and not(following::tei:*[1][self::tei:c])">
      <g/>
      <xsl:text>&#10;</xsl:text>
    </xsl:if>
  </xsl:template>

  <xsl:function name="et:output-annotations">
    <xsl:param name="token"/>
    <xsl:variable name="msd">
      <xsl:choose>
	<xsl:when test="contains($token/@ana, ':')">
	  <xsl:value-of select="substring-after($token/@ana,':')"/>
	</xsl:when>
	<xsl:otherwise>
	  <xsl:value-of select="replace($token/@ana, '#', '')"/>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:variable name="lemma">
      <xsl:choose>
	<xsl:when test="$token/@lemma">
	  <xsl:value-of select="$token/@lemma"/>
	</xsl:when>
	<xsl:otherwise>
	  <xsl:value-of select="substring($token,1,1)"/>
	</xsl:otherwise>
      </xsl:choose>
    </xsl:variable>
    <xsl:sequence select="concat($lemma, '&#9;', $msd)"/>
  </xsl:function>

</xsl:stylesheet>
